Bug 1018226 - kickstart: no %packages makes the default software selection not work
kickstart: no %packages makes the default software selection not work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Shea
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 09:52 EDT by Ales Kozumplik
Modified: 2014-10-20 19:01 EDT (History)
9 users (show)

See Also:
Fixed In Version: anaconda-21.48.10-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-20 19:01:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log from the last attempt (9.50 KB, text/x-log)
2014-03-11 04:16 EDT, Ales Kozumplik
no flags Details
screrncast (4.54 MB, video/webm)
2014-03-11 04:27 EDT, Ales Kozumplik
no flags Details

  None (edit)
Description Ales Kozumplik 2013-10-11 09:52:16 EDT
Description of problem:
20-Beta-TC1, using the kickstart below. There's notably no %packages section. When I get to the summary hub I see SOFTWARE SELECTION with the warning icon and "Gnome Desktop" status. I click it, see "Gnome Desktop" preselected, click "Done" immediately, come back to the hub, nothing has changed (i.e. still yellow icon on SOFTWARE SELECTION, can not click Begin).

All with yum payload.

*not a blocker material*.

---------

auth --useshadow
# Install OS instead of upgrade
install

# Use network installation
url --url="http://download.englab.brq.redhat.com/pub/fedora/linux/development/20/x86_64/os/"
keyboard --vckeymap=us --xlayouts='us'
# System language
lang en_US.UTF-8

# Network information
# Root password
rootpw --plaintext xczdsfr4w3
# System timezone
timezone Europe/Prague --isUtc
user --name=foo --password=bar
# System bootloader configuration
bootloader --location=mbr --boot-drive=vda
# Partition clearing information
clearpart --all --initlabel

# partitioning
part / --size=2000
part /boot --size=500
part /home --size=1000
part /swap --size=1000
Comment 1 Chris Lumens 2014-02-26 15:28:46 EST
Are you still seeing this problem with F20 final?
Comment 2 Ales Kozumplik 2014-03-11 04:15:19 EDT
Only had a chance to try today. On 0309 rawhide compose pxe boot I still get the described behavior. With the kickstart above and this command line I can not get past the main hub doing what I described in comment 0.

[anaconda root@localhost ~]# cat /proc/cmdline 
initrd=/raw_03/initrd.img inst.sshd ksdevice=bootif root=live:http://192.168.122.1:/raw_03/squashfs.img nokill ks=http://192.168.122.1:/ak.ks  BOOTIF=01-52-54-00-5c-a4-45 BOOT_IMAGE=/raw_03/vmlinuz
Comment 3 Ales Kozumplik 2014-03-11 04:16:00 EDT
Created attachment 873015 [details]
anaconda.log from the last attempt
Comment 4 Ales Kozumplik 2014-03-11 04:27:56 EDT
Created attachment 873019 [details]
screrncast

Heck, here's a screencast of what I'm gettiong. You decide if this is or is not the expected operation please.
Comment 6 Fedora Update System 2014-10-15 09:07:43 EDT
anaconda-21.48.10-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/anaconda-21.48.10-1.fc21
Comment 7 Fedora Update System 2014-10-16 13:18:27 EDT
Package anaconda-21.48.10-1.fc21, pykickstart-1.99.63-2.fc21, python-blivet-0.61.5-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-21.48.10-1.fc21 pykickstart-1.99.63-2.fc21 python-blivet-0.61.5-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12944/pykickstart-1.99.63-2.fc21,python-blivet-0.61.5-1.fc21,anaconda-21.48.10-1.fc21
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2014-10-20 19:01:49 EDT
anaconda-21.48.10-1.fc21, pykickstart-1.99.63-2.fc21, python-blivet-0.61.5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.